/******************************************************************************\
*  Animeshell 1.0 Multimedia manager                                           *
*  Copyright (C) 2006-2007 Rémy Guillemette <shaikadzari@gmail.com>            *
*                                                                              *
*  This program is free software; you can redistribute it and/or modify        *
*  it under the terms of the GNU General Public License version 2 only as      *
*  published by the Free Software Foundation.                                  *
*                                                                              *
*  This program is distributed in the hope that it will be useful,             *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this program; if not, write to the                               *
*  Free Software Foundation, Inc.,                                             *
*  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                   *
\******************************************************************************/

#ifndef IMGCONTROL_H
#define IMGCONTROL_H
//
#include <QString>
//
/*!
    \class imgcontrol
    \brief Animeshell image manipulation class.

    This class is used to manipulate images for animeshell.
    
    \author Rémy Guillemette <rguillemette@b2b2c.ca>
    \version 1.0.0  
*/
class imgcontrol  
{
	public:
		/*! bool imgcontrol::copyimg(QString pSrc, QString pDest, QString pNameImg)
		    \brief Copy an image.
		    \param[in] pSrc source of the image
		    \param[in] pDest image destination
		    \param[in] pNameImg new name for the image
		    \return True if sucessful
		*/
		static bool copyimg(QString pSrc, QString pDest, QString pNameImg);
		
		/*! eraseimg(QString pSrc)
		    \brief Erase an image.
		    \param[in] pSrc source of the image
    		\return True if sucessful
		*/
		static bool eraseimg(QString pSrc);
		
		/*! startprocess(QString pEditor, QString pNameImg)
		    \brief Start a new process to edit an image
		    \param[in] pEditor The name of the image editor
		    \param[in] pNameImg The name of the image to edit
		    \return True if sucessful
		*/
		static void startprocess(QString pEditor, QString pNameImg);
		
		/*! searchpath(QString pProcessName)
		    \brief Search a name in the system path
		    \param[in] pProcessName name of the process to search
		    \return The path to the process name 
		*/
		static QString searchpath(QString pProcessName);
	
};
#endif
